import React from 'react';
import { Layout } from 'antd';
import { Link } from 'react-router-dom';
import HomeIcon from '../../assets/thob-data/HomeIcon.svg';
import AddCustomerIcon from '../../assets/thob-data/AddCustomerIcon.svg';
import OrdersIcon from '../../assets/thob-data/OrdersIcon.svg';
import CategoriesIcon from '../../assets/thob-data/CategoriesIcon.svg';
import ProfileIcon from '../../assets/thob-data/ProfileIcon.svg';
import LogoutIcon from '../../assets/thob-data/LogoutIcon.svg';

const { Sider } = Layout;

const EmployeeSidebar = () => {
  return (
    <Sider width={60} style={{ height: '1024px' }} className="bg-gray-800">
      <div className="flex items-center justify-center h-16 w-16 m-5 bg-white" style={{ width: '40px', height: '40px', marginTop: '16px', marginLeft: '20px' }}>
        <div className="text-black">t.</div>
      </div>
      <div className="flex flex-col items-center" style={{ marginTop: '309.5px', marginLeft: '27px' }}>
        <Link to="/employee-dashboard" className="my-6">
          <img src={HomeIcon} alt="Home" className="hover:opacity-75" style={{ width: '25px', height: '405px' }} />
        </Link>
        <Link to="/employee/categories" className="my-6">
          <img src={CategoriesIcon} alt="Categories" className="hover:opacity-75" style={{ width: '25px', height: '405px' }} />
        </Link>
        <Link to="/employee/manage-customers" className="my-6">
          <img src={AddCustomerIcon} alt="Add Customer" className="hover:opacity-75" style={{ width: '25px', height: '405px' }} />
        </Link>
        <Link to="/employee/orders" className="my-6">
          <img src={OrdersIcon} alt="Orders" className="hover:opacity-75" style={{ width: '25px', height: '405px' }} />
        </Link>
        <Link to="/employee/profile" className="my-6">
          <img src={ProfileIcon} alt="Profile" className="hover:opacity-75" style={{ width: '25px', height: '405px' }} />
        </Link>
        <Link to="/employee/logout" className="my-6" style={{ marginTop: '958px', marginLeft: '27.5px' }}>
          <img src={LogoutIcon} alt="Logout" className="hover:opacity-75" style={{ width: '24px', height: '24px' }} />
        </Link>
      </div>
    </Sider>
  );
};

export default EmployeeSidebar;
